---
updatedAt: 2025-09-24T00:04:21.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# Get a single bank

Retrieve the details of a supported bank.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/banks/{id}": {
      "get": {
        "summary": "Get a single bank",
        "description": "Retrieve the details of a supported bank.",
        "operationId": "show-a-bank",
        "parameters": [
          {
            "name": "Client-Id",
            "in": "header",
            "description": "Application's client id.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Secret",
            "in": "header",
            "description": "Application's client secret.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "Bank id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"id\": 17,\n  \"name\": \"La Banque Postale Particulier\",\n  \"parent_name\": \"La Banque Postale\",\n  \"country_code\": \"FR\",\n  \"primary_color\": null,\n  \"secondary_color\": null,\n  \"logo_url\": \"https://web.bankin.com/img/banks-logo/france/02_BanquePostale@2x.png\",\n  \"deeplink_ios\": null,\n  \"deeplink_android\": null,\n  \"form\": [\n    {\n      \"label\": \"Identifiant\",\n      \"type\": \"USER\",\n      \"isNum\": \"0\",\n      \"maxLength\": 11\n    },\n    {\n      \"label\": \"Mot de passe\",\n      \"type\": \"PWD\",\n      \"isNum\": \"1\",\n      \"maxLength\": 6\n    }\n  ],\n  \"authentication_type\": \"INTERNAL_CREDS\",\n  \"capabilities\": [\n    \"ais\",\n    \"single_transfer\",\n    \"single_payment\"\n  ],\n  \"transfer\": {\n  \t\"nb_max_transactions\": 1,\n  \t\"max_size_label\": 140,\n  \t\"multiple_dates_transfers\": false\n  },\n  \"payment\": {\n  \t\"nb_max_transactions\": 1,\n   \t\"max_size_label\": 140,\n   \t\"multiple_dates_payments\": false,\n  \t\"sender_iban_available\": true\n  },\n  \"channel_type\": [\n    \"dsp2\",\n    \"direct_access\"\n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "example": 17,
                      "default": 0
                    },
                    "name": {
                      "type": "string",
                      "example": "La Banque Postale Particulier"
                    },
                    "parent_name": {
                      "type": "string",
                      "example": "La Banque Postale"
                    },
                    "country_code": {
                      "type": "string",
                      "example": "FR"
                    },
                    "primary_color": {},
                    "secondary_color": {},
                    "logo_url": {
                      "type": "string",
                      "example": "https://web.bankin.com/img/banks-logo/france/02_BanquePostale@2x.png"
                    },
                    "deeplink_ios": {},
                    "deeplink_android": {},
                    "form": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "label": {
                            "type": "string",
                            "example": "Identifiant"
                          },
                          "type": {
                            "type": "string",
                            "example": "USER"
                          },
                          "isNum": {
                            "type": "string",
                            "example": "0"
                          },
                          "maxLength": {
                            "type": "integer",
                            "example": 11,
                            "default": 0
                          }
                        }
                      }
                    },
                    "authentication_type": {
                      "type": "string",
                      "example": "INTERNAL_CREDS"
                    },
                    "capabilities": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "ais"
                      }
                    },
                    "transfer": {
                      "type": "object",
                      "properties": {
                        "nb_max_transactions": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "max_size_label": {
                          "type": "integer",
                          "example": 140,
                          "default": 0
                        },
                        "multiple_dates_transfers": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        }
                      }
                    },
                    "payment": {
                      "type": "object",
                      "properties": {
                        "nb_max_transactions": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "max_size_label": {
                          "type": "integer",
                          "example": 140,
                          "default": 0
                        },
                        "multiple_dates_payments": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "sender_iban_available": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        }
                      }
                    },
                    "channel_type": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "dsp2"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://api.bridgeapi.io/v2/banks/17' \\\n\t-X GET \\\n\t-H 'Bridge-Version: 2021-06-01' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```